Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class NO_RESPONSE

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.NO_RESPONSE

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class NO_RESPONSE
extends SystemException

This exception is raised if a client attempts to retrieve the result of a deferred synchronous call, but the response for the request is not yet available.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`NO_RESPONSE()`
`NO_RESPONSE(int minor, CompletionStatus completed)`
`NO_RESPONSE(java.lang.String orb_reason)`
`NO_RESPONSE(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NO_RESPONSE

    public NO_RESPONSE()

### NO_RESPONSE

    public NO_RESPONSE(java.lang.String orb_reason)

### NO_RESPONSE

    public NO_RESPONSE(int minor,
                       CompletionStatus completed)

### NO_RESPONSE

    public NO_RESPONSE(java.lang.String orb_reason,
                       int minor,
                       CompletionStatus completed)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD